Subject: Re: bug#22083: 25.0.50; hg: adding tag enhances the rev, modeline does not reflect

From: Uwe Brauer <[email-masked]>
Date: Sat, 05 Dec 2015 19:11:36 +0000

> On 12/04/2015 02:02 PM, Uwe Brauer wrote:

   > Tagging a revision adds a new revision? That looks odd.

   > I wonder what's going on there.

   > Is it somehow caused by how we perform the commit in Emacs? Is the
   > outcome different if you do the commit from the command line?

   > Do you mean to add the revision hash after the revision number?

   > How will that change improve the situation with jumping revision
   > numbers? Will it improve clarity somehow?

I mean right now we have in the modeline of a file say, test.tex

   Hg-7

I do not modify this file but I add a tag and then do 
either from the command line 

 hg log

And I see

,----
| changeset:   8:f38208b6c8e5
| tag:         tip
| user:        Uwe Brauer <[email-masked]>
| date:        Sat Dec 05 19:05:34 2015 +0000
| summary:     Added tag v1 for changeset c4b41f76e11e
| 
| changeset:   7:c4b41f76e11e
| bookmark:    format
| tag:         v1
| user:        Uwe Brauer <[email-masked]>
| date:        Sun Nov 15 10:34:58 2015 +0000
| summary:     format
`----

Or I do vc-print-log

,----
| changeset:   7:c4b41f76e11e
| tag:         v1
| user:        Uwe Brauer <[email-masked]>
| Date:        Sun Nov 15 10:34:58 2015 +0000
| summary:     format
`----

Or 
 vc-print-root-log

,----
| 8:::tip:Uwe Brauer 2015-12-05 Added tag v1 for changeset c4b41f76e11e
| 7::format:v1:Uwe Brauer 2015-11-15 format
`----

Usually I do not use vc-print-root-log very often.

So I suggest that the  modeline in *that* case (of an added tag) shows
Hg-7/8
or
Hg-7/8(t)